Ecosyste.ms: Advisories

An open API service providing security vulnerability metadata for many open source software ecosystems.

Security Advisories: GSA_kwCzR0hTQS1xbTZ2LWNnOXYtNTNqM84AArND

Limited Authentication Bypass for Media Files

Prior to Opencast 10.14 and 11.7, users could pass along URLs for files belonging to organizations other than the user's own, which Opencast would then import into the current organization, bypassing organizational barriers.

Impact

The vulnerability allows attackers to bypass organizational barriers. Attackers must have full access to Opencast's ingest REST interface, and also know internal links to resources in another organization of the same Opencast cluster.

If you do not run a multi-tenant cluster, you are not affected by this issue.

Patches

This issue is fixed in Opencast 10.14 and 11.7.

References

For more information

If you have any questions or comments about this advisory:

Permalink: https://github.com/advisories/GHSA-qm6v-cg9v-53j3
JSON: https://advisories.ecosyste.ms/api/v1/advisories/GSA_kwCzR0hTQS1xbTZ2LWNnOXYtNTNqM84AArND
Source: GitHub Advisory Database
Origin: Unspecified
Severity: Moderate
Classification: General
Published: almost 2 years ago
Updated: about 1 year ago


CVSS Score: 5.4
CVSS vector: CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:L/I:L/A:N

Identifiers: GHSA-qm6v-cg9v-53j3, CVE-2022-29237
References: Repository: https://github.com/opencast/opencast
Blast Radius: 1.0

Affected Packages

maven:org.opencastproject:opencast-ingest-service-impl
Dependent packages: 0
Dependent repositories: 0
Downloads:
Affected Version Ranges: >= 11.0, < 11.7, < 10.14
Fixed in: 11.7, 10.14
All affected versions:
All unaffected versions: